Download it now!
Bug 132172 - Page size in Writer doesn't show up anymore
Summary: Page size in Writer doesn't show up anymore
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 125517 126607 135077
Blocks: KDE
  Show dependency treegraph
 
Reported: 2020-04-17 07:30 UTC by david.cortes.rivera
Modified: 2020-07-27 12:32 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description david.cortes.rivera 2020-04-17 07:30:08 UTC
If I use the tabbed bar user interface and click the page size button, it will not do anything in the latest versions.

Steps to reproduce:
* Configure Writer to use the tabbed bar interface (View -> User Interface -> Tabbed).
* Click on Layout -> Page Size.

Expected behavior: should show a pop-up with the page size configuration.

Actual behavior: does nothing.

I recall this was still working in 6.3.* versions of LO.

Version: 6.4.3.2
Build ID: 1:6.4.3-1
CPU threads: 16; OS: Linux 5.4; UI render: GL; VCL: kf5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Dieter 2020-04-19 05:56:09 UTC
I can't confirm this with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 1c9ced04189c9d23ffea05d5570960b54b05ef28
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: CL

To be certain the reported issue is not related to corruption in the user profile, could you please reset your Libreoffice profile (https://wiki.documentfoundation.org/UserProfile) and re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the issue is still present.
Comment 2 david.cortes.rivera 2020-04-19 07:18:20 UTC
(In reply to Dieter from comment #1)
> I can't confirm this with
> 
> Version: 7.0.0.0.alpha0+ (x64)
> Build ID: 1c9ced04189c9d23ffea05d5570960b54b05ef28
> CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL:
> win; 
> Locale: de-DE (de_DE); UI-Language: en-GB
> Calc: CL
> 
> To be certain the reported issue is not related to corruption in the user
> profile, could you please reset your Libreoffice profile
> (https://wiki.documentfoundation.org/UserProfile) and re-test?
> 
> I have set the bug's status to 'NEEDINFO'. Please change it back to
> 'UNCONFIRMED' if the issue is still present.

Problem still persists after reseting user profile.
Comment 3 patrice 2020-04-22 12:18:19 UTC
I think this bug is specific to KDE.
See also my comment on https://bugs.documentfoundation.org/show_bug.cgi?id=130641#c5

Maybe it has something to do with the KDE5 VCL backend?
If it does there is probably already a report under:
https://bugs.documentfoundation.org/show_bug.cgi?id=KDE

But I haven't looked more into it because there is already a lot going on at the moment around this backend.


another source:
- https://forum.manjaro.org/t/page-size-and-page-column-on-libreoffice-theres-no-drop-down-menu/127239
Comment 4 Xisco Faulí 2020-06-17 15:40:11 UTC
Hello david cortes,
Do you reproduce this issue if you launch LibreOffice from commandline with 'SAL_USE_VCLPLUGIN=gen' ?
Comment 5 david.cortes.rivera 2020-06-17 17:07:37 UTC
(In reply to Xisco Faulí from comment #4)
> Hello david cortes,
> Do you reproduce this issue if you launch LibreOffice from commandline with
> 'SAL_USE_VCLPLUGIN=gen' ?

It works correctly when I set that environment variable.
Comment 6 QA Administrators 2020-06-18 03:52:54 UTC Comment hidden (obsolete)
Comment 7 Jan-Marek Glogowski 2020-06-30 14:40:00 UTC
So I did a bibisect in the 6.4 repo and the bug was introduced by

commit adbd20017ba9ac4cb2e20195f715904d9b11bc17
Author: Jan-Marek Glogowski <jan-marek.glogowski@extern.cib.de>
Date:   Mon Nov 25 14:08:44 2019 +0000

    tdf#126607 Qt5 activate window before setFocus

On master it was later "fixed" by

commit 3afc718eddcd81232392d46fccc24b8ec626c8df
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Tue Jan 14 10:06:30 2020 +0000

    rework PageSizePopup to be a PopupWindowController

So I can just conclude, that the focus handling in the Qt5 VCL is still wrong :-(

I originally changed 


     else if ((nFlags & SalFrameToTop::GrabFocus) || (nFlags & SalFrameToTop::GrabFocusOnly))
-        m_pQWidget->setFocus();
+    {
+        pWidget->activateWindow();
+        pWidget->setFocus();
+    }

but maybe the correct focus handling should be:

     else if ((nFlags & SalFrameToTop::GrabFocus) || (nFlags & SalFrameToTop::GrabFocusOnly))
     {
-        pWidget->activateWindow();
+        if (!(nFlags & SalFrameToTop::GrabFocusOnly))
+            pWidget->activateWindow();
         pWidget->setFocus();
     }

Problem is, I can't currently test this on master, because the "fix" is not revertable. And the original bug 126607 doesn't happen anymore, because it seems like the search toolbar isn't detachable anymore.

Guess I have to free some 30GB for a new 6-4 build to test my assumption...
Comment 8 Commit Notification 2020-07-01 09:53:43 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/06fb3e7b7f1079c276ad2f048cd94299b4bd7006

tdf#132172 Qt5 just handle visible widget's focus

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-07-01 13:12:49 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/884cf2aef3a46c269243d6dbe08356ad831e956d

tdf#132172 Qt5 just handle visible widget's focus

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-07-01 13:14:14 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/14eccc62b53e202cd9ed63442481922a320fc02e

tdf#132172 Qt5 just handle visible widget's focus

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 BogdanB 2020-07-20 19:14:47 UTC
It's ok now, it appear a pop up.

Version: 7.1.0.0.alpha0+
Build ID: abea0d6647c7f1f7e76c73c26cb80e6a67dc5111
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 12 Commit Notification 2020-07-26 13:46:59 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/1f5125f9bfb6f871a1a21911e0ef0c284d1e1dc7

tdf#135077 Qt5 revert broken fix for tdf#132172

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2020-07-26 13:47:20 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/3058a13921b2d3aad6e14d1cba9047b8d5bdf63d

tdf#135077 Qt5 revert broken fix for tdf#132172

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2020-07-27 06:11:58 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-6":

https://git.libreoffice.org/core/commit/96d428463ac6994586259fdc245e61a431937a72

tdf#135077 Qt5 revert broken fix for tdf#132172

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2020-07-27 06:13:16 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-0":

https://git.libreoffice.org/core/commit/cc00a017e526452ae69d98972cbd4ac09b2d81b1

tdf#135077 Qt5 revert broken fix for tdf#132172

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2020-07-27 06:14:34 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a67f89078ec50239bf9dafbde67feab7e6ff035a

tdf#135077 Qt5 revert broken fix for tdf#132172

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Jan-Marek Glogowski 2020-07-27 12:32:31 UTC
Unfortunately my fix introduced bug 135077: new dialog windows wouldn't get the keyboard focus. Since we're already in RC phase for 7.0.0 and 6.4.6, and I have no time to look into it in the short time-frame, this fix was just reverted.

And I just added all the bugs from the commit message as dependencies, so they can't be missed as easy as a reference in this comment. Missing any of the originally broken "ToTop" focus cases should be harder this way (nothing I can do about all the mails to people of these closed bugs).

And it would still be nice to have an broken case in master...